package com.schisandra.system.domain.service;

import com.schisandra.system.domain.bo.SchisandraSysConfigBO;

/**
 *  领域service
 *
 * @author landaiqing
 * @since 2024-05-11 22:45:55
 */
public interface SchisandraSysConfigDomainService {

    /**
     * 添加  信息
     */
    Boolean add(SchisandraSysConfigBO schisandraSysConfigBO);

    /**
     * 更新  信息
     */
    Boolean update(SchisandraSysConfigBO schisandraSysConfigBO);

    /**
     * 删除  信息
     */
    Boolean delete(SchisandraSysConfigBO schisandraSysConfigBO);

    Object getConfigByKey(String key);
}
